Bug 819408 - [abrt] recoll-1.17.1-1.fc16: std::istream::seekg: Process /usr/bin/recollindex was killed by signal 11 (SIGSEGV)
[abrt] recoll-1.17.1-1.fc16: std::istream::seekg: Process /usr/bin/recollinde...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recoll (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:9b3f91faa2beb996765f292555f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 03:02 EDT by Patrick Pichon
Modified: 2012-06-10 19:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 19:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (5.04 KB, text/plain)
2012-05-07 03:02 EDT, Patrick Pichon
no flags Details
File: backtrace (23.13 KB, text/plain)
2012-05-07 03:02 EDT, Patrick Pichon
no flags Details
File: maps (7.53 KB, text/plain)
2012-05-07 03:02 EDT, Patrick Pichon
no flags Details

  None (edit)
Description Patrick Pichon 2012-05-07 03:02:11 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        recollindex -w 60 -m
comment:        just part of normal process. rceoll was started at login
crash_function: std::istream::seekg
executable:     /usr/bin/recollindex
kernel:         3.3.4-1.fc16.x86_64
pid:            1918
pwd:            /
reason:         Process /usr/bin/recollindex was killed by signal 11 (SIGSEGV)
reported_to:    file: /tmp/abrt.log
time:           Sat 05 May 2012 11:08:26 PM CEST
uid:            1001
username:       pichon

backtrace:      Text file, 23683 bytes
event_log:      Text file, 5166 bytes
maps:           Text file, 7714 bytes

build_ids:
:75eaece6e0d1e075520cdfad5c398fdab4370846
:1c6a95451ee19617be5abea3d121f0226d21ddda
:638db099ff5fb986d1a092629d1bb1dca5be4904
:8f0dfaeabfdef227c21394ba582bff8cbf8e2aa2
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:7a896ce784b97721d1f6960bfba25e60511c0178
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:d0c6e13f00a20952a72a945c929efb175fd760e3
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:bb65c5d270159424252b823bbeb57b9bc9c3d038
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:8631fa022a75e4bfbd78f96ad368f88456e39cfe
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:e2e67b3ae2579e1667b73ad385f61552931024e9
:43afa9f95f0720bce8250f26d13b2255febb1f09

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1335828025
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834573
:/lib64/libuuid.so.1.3.0 libuuid-2.20.1-2.3.fc16.x86_64 (Fedora Project) 1336180960
:/usr/bin/recollindex recoll-1.17.1-1.fc16.x86_64 (Fedora Project) 1335878050
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1335834578
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1335828202
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1335828015
:/usr/lib64/gconv/ISO8859-1.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1335828025
:/usr/lib64/gconv/UTF-16.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1335834568
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1335834577
:/usr/lib64/libxapian.so.22.4.1 xapian-core-libs-1.2.7-1.fc16.x86_64 (Fedora Project) 1335878048
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1335834576
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1335828017

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=pipiche03.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=df88f4adbd04a72505e1411800000015-1336250717.118483-1696696150
:GNOME_KEYRING_CONTROL=/tmp/keyring-Z23Zug
:IMSETTINGS_MODULE=none
:USER=pichon
:USERNAME=pichon
:MAIL=/var/spool/mail/pichon
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pichon/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/pichon
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1625
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/pichon
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=pichon
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gdHwrHO7pF,guid=f1058590a8a0ebe2b66771de0000001e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/pichon
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-pichon-1QF2jt/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1631,unix/unix:/tmp/.ICE-unix/1631
:SSH_AUTH_SOCK=/tmp/keyring-Z23Zug/ssh
:GPG_AGENT_INFO=/tmp/keyring-Z23Zug/gpg:0:1
:DESKTOP_AUTOSTART_ID=10ace1474cec44f86c133625071739611900000016310003

var_log_messages:
:May  1 15:32:03 pipiche03 kernel: [ 8454.215982] recollindex[3870]: segfault at 7f31ffffffe8 ip 00007f3242e6b435 sp 00007fff3b563800 error 4 in libstdc++.so.6.0.16[7f3242de9000+e8000]
:May  1 15:32:05 pipiche03 abrt[29604]: Saved core dump of pid 3870 (/usr/bin/recollindex) to /var/spool/abrt/ccpp-2012-05-01-15:32:03-3870 (135938048 bytes)
:May  3 08:12:41 pipiche03 kernel: [  122.134346] recollindex[1945]: segfault at 2fffffffe8 ip 0000003078e82435 sp 00007fff9f7aef40 error 4 in libstdc++.so.6.0.16[3078e00000+e8000]
:May  3 08:12:42 pipiche03 abrt[2819]: Saved core dump of pid 1945 (/usr/bin/recollindex) to /var/spool/abrt/ccpp-2012-05-03-08:12:41-1945 (42438656 bytes)
:May  3 11:24:50 pipiche03 kernel: [11650.767835] recollindex[10802]: segfault at 2fffffffe8 ip 0000003078e82435 sp 00007fff38473700 error 4 in libstdc++.so.6.0.16[3078e00000+e8000]
:May  3 11:24:50 pipiche03 abrt[11638]: Saved core dump of pid 10802 (/usr/bin/recollindex) to /var/spool/abrt/ccpp-2012-05-03-11:24:50-10802 (44941312 bytes)
:May  3 14:25:04 pipiche03 kernel: [22465.168863] recollindex: The scan_unevictable_pages sysctl/node-interface has been disabled for lack of a legitimate use case.  If you have one, please send an email to linux-mm@kvack.org.
:May  4 11:27:32 pipiche03 kernel: [  408.351458] recollindex: The scan_unevictable_pages sysctl/node-interface has been disabled for lack of a legitimate use case.  If you have one, please send an email to linux-mm@kvack.org.
:May  5 23:08:26 pipiche03 kernel: [ 1419.654278] recollindex[1918]: segfault at 2fffffffe8 ip 0000003078e82435 sp 00007fff582e56e0 error 4 in libstdc++.so.6.0.16[3078e00000+e8000]
:May  5 23:08:27 pipiche03 abrt[23945]: Saved core dump of pid 1918 (/usr/bin/recollindex) to /var/spool/abrt/ccpp-2012-05-05-23:08:26-1918 (160055296 bytes)
Comment 1 Patrick Pichon 2012-05-07 03:02:16 EDT
Created attachment 582545 [details]
File: event_log
Comment 2 Patrick Pichon 2012-05-07 03:02:17 EDT
Created attachment 582546 [details]
File: backtrace
Comment 3 Patrick Pichon 2012-05-07 03:02:19 EDT
Created attachment 582547 [details]
File: maps
Comment 4 Terje Røsten 2012-05-07 13:57:55 EDT
Thanks for your report. Will report this upstream.
Comment 5 Terje Røsten 2012-05-13 13:43:16 EDT
Hi Patrick,

can you reproduce this issue, do you see this at every run? 

If you can provide a email file (failure is in mail file indexing) which causes the error it would help a lot in finding the real cause. 

Upstream author is more than willing to work on this if he can
reproduce it some way.

Thanks for help so far.
Comment 6 Fedora Update System 2012-05-30 13:24:43 EDT
recoll-1.17.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/recoll-1.17.3-1.fc16
Comment 7 Fedora Update System 2012-05-30 13:26:48 EDT
recoll-1.17.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/recoll-1.17.3-1.fc15
Comment 8 Fedora Update System 2012-05-30 13:26:55 EDT
recoll-1.17.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/recoll-1.17.3-1.fc17
Comment 9 Fedora Update System 2012-06-01 12:57:24 EDT
Package recoll-1.17.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.17.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8693/recoll-1.17.3-1.fc15
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-06-10 19:58:16 EDT
recoll-1.17.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-06-10 19:59:05 EDT
recoll-1.17.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-06-10 19:59:37 EDT
recoll-1.17.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.